=== debian/changelog ===
odil (0.12.0-2build1) groovy; urgency=medium

  * No-change rebuild against libicu67

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 28 Jul 2020 16:14:23 +0000

odil (0.12.0-2) unstable; urgency=medium

  * Remove support for mips64el. Closes: #956749

 -- Julien Lamy <lamy@unistra.fr>  Wed, 15 Apr 2020 16:48:12 +0000

odil (0.12.0-1) unstable; urgency=medium

  [ Julien Lamy ]
  * New upstream release.
  * Remove parallel build

  [ Andreas Tille ]
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Julien Lamy <lamy@unistra.fr>  Wed, 08 Apr 2020 11:08:21 +0200
