=== debian/control ===
Source: odil
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Julien Lamy <lamy@unistra.fr>
Section: science
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               d-shlibs (>= 0.81),
               dh-python,
               cmake,
               g++ (>= 4:7),
               pkg-config,
               libjsoncpp-dev,
               libdcmtk-dev | libdcmtk2-dev,
               libicu-dev,
               zlib1g-dev,
               uuid-dev,
               libboost-dev,
               libboost-date-time-dev,
               libboost-filesystem-dev,
               libboost-log-dev,
               libboost-python-dev,
               pybind11-dev,
               python3-pybind11,
               libboost-test-dev,
               chrpath,
               dcmtk,
               python3-all,
               python3-all-dev
Build-Depends-Indep: doxygen,
                     graphviz
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/odil
Vcs-Git: https://salsa.debian.org/med-team/odil.git
Homepage: https://github.com/lamyj/odil
Rules-Requires-Root: no

Package: libodil0
Architecture: amd64 arm64 armel armhf i386 mipsel ppc64el s390x alpha ia64 powerpc ppc64 riscv64 x32
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libdcmtkpp0
Provides: libdcmtkpp0
Replaces: libdcmtkpp0
Description: C++11 library for the DICOM standard
 Odil leverages C++ constructs to provide a user-friendly API of the
 different parts of the DICOM standard. Included in Odil are exception-based
 error handling, generic access to datasets elements, standard JSON and XML
 representation of datasets, and generic implementation of messages, clients
 and servers for the various DICOM protocols.
 .
 Odil also provides conversion to and from DCMTK data structures.
 .
 This package contains the shared library.

Package: libodil-dev
Architecture: amd64 arm64 armel armhf i386 mipsel ppc64el s390x
Multi-Arch: same
Section: libdevel
Depends: libodil0 (= ${binary:Version}),
         ${devlibs:Depends},
         ${misc:Depends}
Conflicts: libodil0-dev,
           libdcmtkpp-dev
Provides: libodil0-dev,
          libdcmtkpp-dev
Replaces: libodil0-dev,
          libdcmtkpp-dev
Description: C++11 library for the DICOM standard (development files)
 Odil leverages C++ constructs to provide a user-friendly API of the
 different parts of the DICOM standard. Included in Odil are exception-based
 error handling, generic access to datasets elements, standard JSON and XML
 representation of datasets, and generic implementation of messages, clients
 and servers for the various DICOM protocols.
 .
 This package contains the development files.

Package: libodil-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: libjs-jquery,
         ${misc:Depends}
Conflicts: libodil0-doc,
           libdcmtkpp0-doc
Provides: libodil0-doc,
          libdcmtkpp0-doc
Replaces: libodil0-doc,
          libdcmtkpp0-doc
Description: C++11 library for the DICOM standard (documentation)
 Odil leverages C++ constructs to provide a user-friendly API of the
 different parts of the DICOM standard. Included in Odil are exception-based
 error handling, generic access to datasets elements, standard JSON and XML
 representation of datasets, and generic implementation of messages, clients
 and servers for the various DICOM protocols.
 .
 This package contains the documentation files.

Package: python3-odil
Architecture: amd64 arm64 armel armhf i386 mipsel ppc64el s390x
Multi-Arch: foreign
Section: python
Depends: libodil0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${python3:Depends},
         ${misc:Depends}
Description: C++11 library for the DICOM standard (Python 3 wrappers)
 Odil leverages C++ constructs to provide a user-friendly API of the
 different parts of the DICOM standard. Included in Odil are exception-based
 error handling, generic access to datasets elements, standard JSON and XML
 representation of datasets, and generic implementation of messages, clients
 and servers for the various DICOM protocols.
 .
 This package contains the Python 3 wrappers.

Package: odil
Architecture: all
Depends: python3-odil,
         ${python3:Depends},
         ${misc:Depends}
Description: C++11 library for the DICOM standard (application)
 Odil leverages C++ constructs to provide a user-friendly API of the
 different parts of the DICOM standard. Included in Odil are exception-based
 error handling, generic access to datasets elements, standard JSON and XML
 representation of datasets, and generic implementation of messages, clients
 and servers for the various DICOM protocols.
 .
 This package contains the command-line application.
