## odil 0.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,11 @@
 cmake_minimum_required(VERSION 3.5)
+if(${CMAKE_VERSION} VERSION_LESS 3.12)
+    cmake_policy(VERSION ${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION})
+else()
+    cmake_policy(SET CMP0074 NEW)
+endif()
 
-project("odil")
-
-set(odil_VERSION 0.12.0)
-string(REGEX MATCH "^([0-9]+)\\.([0-9]+)\\.([0-9]+)" _ "${odil_VERSION}")
-set(odil_MAJOR_VERSION "${CMAKE_MATCH_1}")
-set(odil_MINOR_VERSION "${CMAKE_MATCH_2}")
-set(odil_PATCH_VERSION "${CMAKE_MATCH_3}")
+project("Odil" VERSION 0.12.1)
 
 option(BUILD_SHARED_LIBS "Build Odil with shared libraries." ON)
 option(BUILD_EXAMPLES "Build the examples directory." ON)
@@ -16,23 +15,16 @@
 option(WITH_DCMTK "Build the DCMTK converter" ON)
 option(
     USE_BUILTIN_DCMTK_GETSCU
-    "Compile a locally packaged version of getscu for old DCMTK versions" ON)
+    "Compile a locally packaged version of getscu for old DCMTK versions" OFF)
 
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}" ${CMAKE_MODULE_PATH})
 set(CMAKE_INSTALL_MESSAGE LAZY)
 
 include(CTest)
-include(cmake/functions.cmake)
+include(CMakePackageConfigHelpers)
 
-# Add the C++0x or C++11 flag
-include(CheckCXXCompilerFlag)
-CHECK_CXX_COMPILER_FLAG(-std=c++11 COMPILER_SUPPORTS_CXX11)
-CHECK_CXX_COMPILER_FLAG(-std=c++0x COMPILER_SUPPORTS_CXX0X)
-if(COMPILER_SUPPORTS_CXX11)
-    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
-elseif(COMPILER_SUPPORTS_CXX0X)
-    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
-endif()
+set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 set_property(GLOBAL PROPERTY USE_FOLDERS ON)
 
@@ -94,3 +86,32 @@
     Registry ${CMAKE_COMMAND} -E echo "Registry"
     SOURCES generate_registry ${registry_templates})
 set_target_properties(Registry PROPERTIES FOLDER "Utils")
+
+# Export the build tree (don't install the generated file)
+export(
+    TARGETS libodil NAMESPACE Odil:: 
+    FILE "${PROJECT_BINARY_DIR}/OdilTargets.cmake")
+
+# Export the install tree
+write_basic_package_version_file(
+    "OdilConfigVersion.cmake" COMPATIBILITY SameMajorVersion)
+set(INSTALL_CMAKE_DIR "${CMAKE_INSTALL_PREFIX}/lib/CMake/Odil")
+install(EXPORT OdilTargets NAMESPACE Odil:: DESTINATION "${INSTALL_CMAKE_DIR}")
+configure_file(OdilConfig.cmake.in OdilConfig.cmake @ONLY)
+install(
+    FILES 
+        FindJsonCpp.cmake
+        ${CMAKE_CURRENT_BINARY_DIR}/OdilConfig.cmake
+        ${CMAKE_CURRENT_BINARY_DIR}/OdilConfigVersion.cmake
+    DESTINATION "${INSTALL_CMAKE_DIR}")
+
+# "uninstall" target
+if(NOT TARGET uninstall)
+  configure_file(
+    "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
+    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
+    IMMEDIATE @ONLY)
+
+  add_custom_target(uninstall
+    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
+endif()
