=== debian/changelog ===
odil (0.12.1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Lamy <lamy@unistra.fr>  Wed, 13 Jan 2021 17:37:20 +0100

odil (0.12.0-3) unstable; urgency=medium

  * Team Upload.
  * Fix Boost-1.74 FTBFS with upstream commit (Closes: #975587)

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 05 Dec 2020 16:44:27 +0000
