=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/odil-$1\.tar\.gz/,\
pgpsigurlmangle=s/archive/releases\/download/;\
s/([^\/]+)\.tar\.gz/$1\/$1\.tar\.gz/;\
s/$/.asc/ \
  https://github.com/lamyj/odil/tags .*/v?(\d\S*)\.tar\.gz
