=== src/CMakeLists.txt ===
--- 
+++ 
@@ -44,7 +44,7 @@
         "$<$<BOOL:${WITH_DCMTK}>:${DCMTK_LIBRARIES}>"
         ICU::uc JsonCpp::JsonCpp
         $<$<PLATFORM_ID:Windows>:netapi32>
-        # WARNING Need to link with bcrypt explicitely, 
+        # WARNING Need to link with bcrypt explicitly, 
         # cf. https://github.com/boostorg/uuid/issues/68#issuecomment-430173245
         # Not sure why iphlpapi is not linked.
         "$<$<BOOL:${VCPKG_TOOLCHAIN}>:bcrypt;iphlpapi>")
@@ -53,7 +53,9 @@
     # WARNING: Boost::log may add -licudata  -licui18n  -licuu, which cause 
     # problems with macOS/brew
     get_filename_component(ICU_FOUND_DIRECTORY "${ICU_UC_LIBRARY}" DIRECTORY)
-    target_link_libraries(libodil PUBLIC "-L${ICU_FOUND_DIRECTORY}")
+    if(NOT "${ICU_FOUND_DIRECTORY}" STREQUAL "")
+        target_link_libraries(libodil PUBLIC "-L${ICU_FOUND_DIRECTORY}")
+    endif()
 endif()
 
 set_target_properties(
@@ -70,3 +72,11 @@
     ARCHIVE DESTINATION bin LIBRARY DESTINATION lib RUNTIME DESTINATION bin
     PUBLIC_HEADER DESTINATION include/odil
     INCLUDES DESTINATION include)
+
+foreach(include_file ${Header_Files} ${templates})
+    file(
+        RELATIVE_PATH 
+        include_path ${CMAKE_CURRENT_SOURCE_DIR} ${include_file})
+    get_filename_component(include_path ${include_path} PATH)
+    install(FILES ${include_file} DESTINATION "include/${include_path}")
+endforeach()
