=== debian/changelog ===
odil (0.12.2-5) unstable; urgency=medium

  * Team upload.
  * Add explicit build-depend on python3-setuptools. Closes: #1080681
  * d/control: use new name for pkg-config → pkgconf
  * Remove trailing whitespace in debian/control (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 10 Sep 2024 14:00:13 +0200

odil (0.12.2-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062757

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 01:46:17 +0000

odil (0.12.2-4) unstable; urgency=medium

  * Team upload.
  * Add loong64 support
    Closes: #1058992
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 21 Dec 2023 20:12:20 +0100

odil (0.12.2-3) unstable; urgency=medium

  * Fix FTBS with g++-13 (Closes: #1037795)

 -- Julien Lamy <lamy@unistra.fr>  Tue, 27 Jun 2023 20:01:17 +0200

odil (0.12.2-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dcmtk 3.6.7
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 12 May 2022 10:30:48 +0200

odil (0.12.2-1) unstable; urgency=medium

  * New upstream version 0.12.2

 -- Julien Lamy <lamy@unistra.fr>  Tue, 19 Apr 2022 17:36:06 +0200

odil (0.12.1-5) unstable; urgency=medium

  * Fix compilation against DCMTK (Closes: #1005261)
  * Bump copyright year
  * Fix fetching signature in d/watch

 -- Julien Lamy <lamy@unistra.fr>  Thu, 10 Feb 2022 10:50:44 +0100

odil (0.12.1-4) unstable; urgency=medium

  * Backport code from upstream to adapt to new pybind API
    (Closes: #1002134)

 -- Julien Lamy <lamy@unistra.fr>  Wed, 22 Dec 2021 09:11:01 +0100

odil (0.12.1-3) unstable; urgency=medium

  * Remove network-related unit tests (Closes: #1001614)

 -- Julien Lamy <lamy@unistra.fr>  Thu, 16 Dec 2021 11:54:07 +0100

odil (0.12.1-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Drop needless override for d-shlibs
    Closes: #999841
  * Enable dh_missing --fail-missing
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * watch file standard 4 (routine-update)

  [ Julien Lamy ]
  * Fix compilation with latest DCMTK
  * Fix lintian issue with build dependencies

 -- Andreas Tille <tille@debian.org>  Thu, 18 Nov 2021 09:11:09 +0100
