=== debian/control ===
--- 
+++ 
@@ -4,14 +4,13 @@
 Section: science
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               d-shlibs (>= 0.81),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
+               d-shlibs (>= 0.106),
                dh-python,
                cmake,
-               g++ (>= 4:7),
-               pkg-config,
+               pkgconf,
                libjsoncpp-dev,
-               libdcmtk-dev | libdcmtk2-dev,
+               libdcmtk-dev,
                libicu-dev,
                zlib1g-dev,
                uuid-dev,
@@ -26,24 +25,25 @@
                chrpath,
                dcmtk,
                python3-all,
+               python3-setuptools,
                python3-all-dev
 Build-Depends-Indep: doxygen,
                      graphviz
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/odil
 Vcs-Git: https://salsa.debian.org/med-team/odil.git
 Homepage: https://github.com/lamyj/odil
 Rules-Requires-Root: no
 
-Package: libodil0
-Architecture: amd64 arm64 armel armhf i386 mipsel ppc64el s390x alpha ia64 powerpc ppc64 riscv64 x32
+Package: libodil0t64
+Architecture: amd64 arm64 armel armhf i386 loong64 mipsel ppc64el s390x alpha ia64 powerpc ppc64 riscv64 x32
 Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Conflicts: libdcmtkpp0
-Provides: libdcmtkpp0
-Replaces: libdcmtkpp0
+Conflicts: libodil0 (<< ${source:Version}), libdcmtkpp0
+Provides: ${t64:Provides}, libdcmtkpp0
+Replaces: libodil0, libdcmtkpp0
 Description: C++11 library for the DICOM standard
  Odil leverages C++ constructs to provide a user-friendly API of the
  different parts of the DICOM standard. Included in Odil are exception-based
@@ -56,18 +56,16 @@
  This package contains the shared library.
 
 Package: libodil-dev
-Architecture: amd64 arm64 armel armhf i386 mipsel ppc64el s390x
+Architecture: amd64 arm64 armel armhf i386 loong64 mipsel ppc64el s390x
 Multi-Arch: same
 Section: libdevel
-Depends: libodil0 (= ${binary:Version}),
+Depends: libodil0t64 (= ${binary:Version}),
          ${devlibs:Depends},
          ${misc:Depends}
-Conflicts: libodil0-dev,
-           libdcmtkpp-dev
+Conflicts: libdcmtkpp-dev
 Provides: libodil0-dev,
           libdcmtkpp-dev
-Replaces: libodil0-dev,
-          libdcmtkpp-dev
+Replaces: libdcmtkpp-dev
 Description: C++11 library for the DICOM standard (development files)
  Odil leverages C++ constructs to provide a user-friendly API of the
  different parts of the DICOM standard. Included in Odil are exception-based
@@ -83,12 +81,10 @@
 Section: doc
 Depends: libjs-jquery,
          ${misc:Depends}
-Conflicts: libodil0-doc,
-           libdcmtkpp0-doc
+Conflicts: libdcmtkpp0-doc
 Provides: libodil0-doc,
           libdcmtkpp0-doc
-Replaces: libodil0-doc,
-          libdcmtkpp0-doc
+Replaces: libdcmtkpp0-doc
 Description: C++11 library for the DICOM standard (documentation)
  Odil leverages C++ constructs to provide a user-friendly API of the
  different parts of the DICOM standard. Included in Odil are exception-based
@@ -99,10 +95,10 @@
  This package contains the documentation files.
 
 Package: python3-odil
-Architecture: amd64 arm64 armel armhf i386 mipsel ppc64el s390x
+Architecture: amd64 arm64 armel armhf i386 loong64 mipsel ppc64el s390x
 Multi-Arch: foreign
 Section: python
-Depends: libodil0 (= ${binary:Version}),
+Depends: libodil0t64 (= ${binary:Version}),
          ${shlibs:Depends},
          ${python3:Depends},
          ${misc:Depends}
