=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,7 @@
 # Base build: no wrappers
 override_dh_auto_configure-arch:
 	dh_auto_configure -- \
+	  -DCMAKE_CXX_STANDARD=17 \
 	  -DBUILD_EXAMPLES=OFF \
 	  -DBUILD_PYTHON_WRAPPERS=OFF -DBUILD_JAVASCRIPT_WRAPPERS=OFF
 
@@ -34,6 +35,7 @@
 	  echo "=== Building for Python $${Python} ==="; \
 	  cp -a build-nopy build; \
 	  dh_auto_configure -- \
+	    -DCMAKE_CXX_STANDARD=17 \
 	    -DBUILD_EXAMPLES=OFF \
 	    -DBUILD_PYTHON_WRAPPERS=ON -DBUILD_JAVASCRIPT_WRAPPERS=OFF \
 	    -DPYTHON_EXECUTABLE=/usr/bin/python$${Python}; \
@@ -46,6 +48,7 @@
 override_dh_auto_build-indep:
 	dh_auto_configure --builddirectory=build-indep -- \
 	  -DBUILD_EXAMPLES=OFF \
+	  -DCMAKE_CXX_STANDARD=17 \
 	  -DBUILD_PYTHON_WRAPPERS=ON -DBUILD_JAVASCRIPT_WRAPPERS=OFF \
 	  -DPYTHON_EXECUTABLE=/usr/bin/python$(PYTHON3)
 	mkdir -p documentation/_build
@@ -99,11 +102,12 @@
 override_dh_install-arch:
 	dh_install
 	d-shlibmove \
+		--t64 \
 		--devunversioned \
 		--commit --multiarch --exclude-a --exclude-la \
 		--movedev debian/tmp/usr/include/* usr/include \
-		--override s/libboost_log.*-dev/libboost-log-dev/ \
 		debian/tmp/usr/lib/*.so
+	find debian -name "lib*.la" -delete
 
 override_dh_clean:
 	dh_clean
