## odil 0.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
     cmake_policy(SET CMP0074 NEW)
 endif()
 
-project("Odil" VERSION 0.12.2)
+project("Odil" VERSION 0.13.0)
 
 option(BUILD_SHARED_LIBS "Build Odil with shared libraries." ON)
 option(BUILD_EXAMPLES "Build the examples directory." ON)
@@ -71,12 +71,6 @@
     add_subdirectory("wrappers/js")
 endif()
 
-file(GLOB_RECURSE ci_resources .ci/*)
-add_custom_target(
-    CIIntegration ${CMAKE_COMMAND} -E echo "CI Integration"
-    SOURCES appveyor.yml .travis.yml ${ci_resources})
-set_target_properties(CIIntegration PROPERTIES FOLDER "Utils")
-
 file(GLOB_RECURSE documentation documentation/*)
 add_custom_target(
     Documentation ${CMAKE_COMMAND} -E echo "Documentation"
