=== examples/CMakeLists.txt ===
option(INSTALL_EXAMPLES "Install the examples" OFF)

add_subdirectory("cpp")
add_subdirectory("python")
add_subdirectory("js")
