=== debian/changelog ===
odil (0.13.0-1) unstable; urgency=medium

  * New upstream release.
  * Fix building with boost >= 1.87. Closes: #1110619
  * Improve autopkgtests
  * Update standards version to 4.7.2

 -- Julien Lamy <lamy@unistra.fr>  Tue, 19 Aug 2025 10:35:08 +0200
