=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Julien Lamy <lamy@unistra.fr>
 Section: science
-Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                d-shlibs (>= 0.106),
@@ -29,7 +28,7 @@
                python3-all-dev
 Build-Depends-Indep: doxygen,
                      graphviz
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/odil
 Vcs-Git: https://salsa.debian.org/med-team/odil.git
 Homepage: https://github.com/lamyj/odil
