=== debian/watch ===
version=4

opts=filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
pgpsigurlmangle=s/archive\/refs\/tags/releases\/download/;\
s/([^\/]+)\.tar\.gz/$1\/$1\.tar\.gz/;\
s/$/.asc/ \
  https://github.com/lamyj/odil/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
